import { Login } from "../../../meta/auth/login";
import { VoidFunc } from "../../../../fd-toolbox/functions/internal-getter-setter-functions";
import { OAuthLoginConfig } from "./oauth-login-config";
import { LoginState } from "../../../../fd-toolbox/auth/login-state";
import { RouterInstance } from "../../../meta/client/framework";
export declare function onLoginSubmit(data: Login, isSubmitting: boolean, setIsSubmitting: VoidFunc<boolean>, router: RouterInstance, changeLoginState?: VoidFunc<LoginState>): Promise<void>;
export declare function getOAuthProvider(searchParams: URLSearchParams, customOAuthLoginConfigs?: OAuthLoginConfig[]): string;
export declare function handleOAuth(oAuthProvider: string, code: string, customOAuthLoginConfigs: OAuthLoginConfig[], router: RouterInstance): Promise<any>;
export declare function getLoginButtonId(oAuthProvider: string): string;
export declare function isFullSizeOAuthButton(configs: OAuthLoginConfig[], index: number): boolean;
